<?php
namespace Search_Filter\Database\Rows;

use Search_Filter\Core\Data_Store;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Option extends \Search_Filter\Database\Engine\Row {
	public $id    = 0;
	public $name  = '';
	public $value = '';

	/**
	 * Fields constructor.
	 *
	 * @since 1.0.0
	 *
	 * @param $item
	 */
	public function __construct( $item ) {
		parent::__construct( $item );

		// This is optional, but recommended. Set the type of each column, and prepare.
		$this->id    = (int) $this->id;
		$this->name  = (string) $this->name;
		$this->value = (string) $this->value;
		Data_Store::set( 'option', $this->name, $this );
	}

	/**
	 * Get for the ID.
	 *
	 * @return int The ID of the field.
	 */
	public function get_id() {
		return $this->id;
	}
	/**
	 * Get the Name.
	 *
	 * @return string The name of the field.
	 */
	public function get_name() {
		return $this->name;
	}
	/**
	 * Get the status.
	 *
	 * @return string The status of the field.
	 */
	public function get_value() {
		return $this->value;
	}
}
